Bug 789468 (CVE-2012-0831) - CVE-2012-0831 php: PG(magic_quote_gpc) was not restored on shutdown
Summary: CVE-2012-0831 php: PG(magic_quote_gpc) was not restored on shutdown
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2012-0831
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 790676 865986 958614
Blocks: 789479 855229 952520
TreeView+ depends on / blocked
 
Reported: 2012-02-10 20:39 UTC by Vincent Danen
Modified: 2019-09-29 12:50 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-12-09 08:32:46 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0514 normal SHIPPED_LIVE Moderate: php security, bug fix and enhancement update 2013-02-20 21:29:20 UTC
Red Hat Product Errata RHSA-2013:1307 normal SHIPPED_LIVE Moderate: php53 security, bug fix and enhancement update 2013-10-01 00:31:22 UTC

Description Vincent Danen 2012-02-10 20:39:37 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2012-0831 to
the following vulnerability:

Name: CVE-2012-0831
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-0831
Assigned: 20120119
Reference: http://svn.php.net/viewvc?view=revision&revision=323016
Reference: https://launchpadlibrarian.net/92454212/php5_5.3.2-1ubuntu4.13.diff.gz
Reference: UBUNTU:USN-1358-1
Reference: http://www.ubuntu.com/usn/USN-1358-1
Reference: http://www.securityfocus.com/bid/51954

PHP before 5.3.10 does not properly perform a temporary change to the
magic_quotes_gpc directive during the importing of environment
variables, which makes it easier for remote attackers to conduct SQL
injection attacks via a crafted request, related to
main/php_variables.c, sapi/cgi/cgi_main.c, and
sapi/fpm/fpm/fpm_main.c.

Comment 2 Huzaifa S. Sidhpurwala 2012-02-15 07:07:16 UTC
There was a regression in the fix, which was released with php-5.3.10, more details at:

https://bugs.php.net/bug.php?id=61043

Comment 3 Huzaifa S. Sidhpurwala 2012-02-15 07:10:37 UTC
Created php tracking bugs for this issue

Affects: fedora-all [bug 790676]

Comment 6 Vincent Danen 2012-04-26 15:13:18 UTC
PHP 5.3.11 fixed the regression noted in comment #2:

* Fixed bug #61043 (Regression in magic_quotes_gpc fix for CVE-2012-0831).

as per:

http://www.php.net/archive/2012.php#id2012-04-26-1

Comment 7 Fedora Update System 2012-05-07 02:48:42 UTC
php-5.3.11-1.fc15, php-eaccelerator-0.9.6.1-9.fc15.3, maniadrive-1.2-32.fc15.3 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2012-05-07 02:49:38 UTC
php-5.3.11-1.fc16, php-eaccelerator-0.9.6.1-9.fc16.3, maniadrive-1.2-32.fc16.3 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 errata-xmlrpc 2013-02-21 10:13:51 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:0514 https://rhn.redhat.com/errata/RHSA-2013-0514.html

Comment 13 errata-xmlrpc 2013-09-30 22:12:03 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2013:1307 https://rhn.redhat.com/errata/RHSA-2013-1307.html

Comment 15 Huzaifa S. Sidhpurwala 2013-10-03 10:57:46 UTC
Statement:

This issue does not affect the version of php as shipped with Red Hat Enterprise Linux 5.


Note You need to log in before you can comment on or make changes to this bug.